#if !defined(_yr_dll_h)              
#define _yr_dll_h
/* **************************************************************
	* YRTRACE 3.1 - Liaison avec vos logiciels en C/C++          *
	*  Exemple																	 *
	* (c) D. Heiderich 1994, 1995                                *
	*------------------------------------------------------------*
	* Vous pouvez utiliser ce code dans vos programmes           *
	* N'oubliez pas de dclarer les fonctions dans la rubrique   *
	* IMPORTS du fichier *.DEF de votre logiciel.                *
	* (Vous pouvez galement importer les fonctions par adresse) *
	**************************************************************
*/


/*
  IMPORTANT :
 Pour utiliser ces fonctions, YRTRACE doit tre lanc, sinon
 rien ne se produira.
*/
extern "C++" {


BOOL FAR PASCAL ActiveYR(BOOL);
/* Active les fonctions dans votre programme
	INDEX dans la DLL: 5
*/


BOOL FAR PASCAL IsYRTRACE();
/* Retourne TRUE si YRTRACE est lanc
	INDEX dans la DLL: 6
*/




BOOL FAR PASCAL IsRegister();
/* Retourne TRUE si YRTRACE est lanc et que le logiciel
	est enregistre
	INDEX dans la DLL: 7
*/


void FAR PASCAL YRAddline(LPSTR txt);
/* Ajouter une ligne de texte dans la liste de YRTRACE.
	Si la version est enregistre et si la communication
	est tablie avec le minitel (ou autre)  partir de YRTRACE,
	le commentaire est envoy au minitel.
	(Voir COMMUNICATION dans YRTRACE)
	Ceci vous permet de suivre le droulement de vos programmes
	en directe.
	INDEX dans la DLL: 8
*/


void FAR PASCAL ClearList();
/* Efface la liste de YRTRACE, cette fonction n'a aucun effet
	sur le minitel.
	INDEX dans la DLL: 9
*/


/*===========================================================
  les fonctions suivantes ne sont accessibles que pour les
  logiciels enregistrs. L'enregistrement est gratuit! Voir
  documentation ou l'aide.
=============================================================*/
void FAR PASCAL StartCapture();
/* Dpart de la capture des messages et des erreurs par YRTRACE
	en fonction des options.
	INDEX dans la DLL: 10
*/

void FAR PASCAL StopCapture();
/* Termine la capture des messages par YRTRACE
	INDEX dans la DLL: 11
*/

void FAR PASCAL ShowYRTrace();
/*
	 Fait apparaitre YRTRACE  l'cran
	INDEX dans la DLL: 12
*/

void FAR PASCAL HideYRTrace();
/* Fait disparaitre YRTRACE  l'cran
	INDEX dans la DLL: 13
*/

void FAR PASCAL RunYRBASIC(LPSTR prog);
/* Lance un programme en YRBASIC
	 prog contient  "x:\chemin\nom.byr"
	INDEX dans la DLL: 14
*/
}
#endif
